function [] = plotMov(mov, varargin)
    % Uniform clicks, vil ikke stemme med musikk
    % varargin: 'cyc' - kopierer mov og legger etter (kun siste B)
    % varargn: '--' - plotter med punkter over aksisterende kurver 

    figure(22);
    
    cycl = 0;
    kurveType = '-';
    readVgrarginInput( ); % se nederst
    if cycl == 1
        mov = [mov ; mov];
    end  
    if strcmp(kurveType, '--') == 1
        ax = axis; % Skal gjenbrukes
        hold on;
    else
        clf; % Plotter første gang
        setUp2dView('backCol',[0.1 0.1 0.1]);
    end      
    
    noBeatsPerBar = 4;
    corValArrBsingleMov = makeCorValArrBSingleMov(mov, 500);
    
    maxTidSec = corValArrBsingleMov(end,1)/1000;
    
    corValArrBsingleMov = makeCorValArrBSingleMov(mov, 500);
    cntArr525 = makeCntArr525(corValArrBsingleMov);
    
    inc = size(cntArr525, 1)/(size(corValArrBsingleMov, 1)-1);
    
    %% ch 1
    
    if cycl == 0
        plot([0:1/length(cntArr525):1-1/length(cntArr525)]*maxTidSec, cntArr525(:, 1), 'color', [0.5 0.5 1], 'linestyle', kurveType); % sec på x axse
    else % cyclisk
        x = [0:1/length(cntArr525):1-1/length(cntArr525)]*maxTidSec;
        plot(x(1:floor(end/2)), cntArr525(1:floor(end/2),1), 'color', [0.5 0.5 1], 'linestyle', kurveType); % sec på x axse
        hold on;
        plot(x(floor(end/2)+1:end), cntArr525(floor(end/2)+1:end,1), 'color', [1 0.5 0.5], 'linestyle', kurveType); % sec på x axse
    end
    hold on;
    
    line([0 maxTidSec],[0 0], 'color',[0.6 0.6 0.6], 'LineStyle', ':', 'LineWidth', 0.5);
    
    line([0 maxTidSec],[0.25 0.25], 'color',[0.8 0.4 0.4], 'LineStyle', ':', 'LineWidth', 0.5);
    line([0 maxTidSec],[0.5 0.5], 'color',[0.8 0.4 0.4], 'LineStyle', ':', 'LineWidth', 0.5);
    line([0 maxTidSec],[0.75 0.75], 'color',[0.8 0.4 0.4], 'LineStyle', ':', 'LineWidth', 0.5);
    
    line([0 maxTidSec],[-0.25 -0.25], 'color',[0.8 0.4 0.4], 'LineStyle', ':', 'LineWidth', 0.5);
    line([0 maxTidSec],[-0.5 -0.5], 'color',[0.8 0.4 0.4], 'LineStyle', ':', 'LineWidth', 0.5);
    line([0 maxTidSec],[-0.75 -0.75], 'color',[0.8 0.4 0.4], 'LineStyle', ':', 'LineWidth', 0.5);
    
    % punkter
    for b = 1 : size(corValArrBsingleMov, 1)
        if ~isnan(corValArrBsingleMov(b, 2))

                x = max(floor(b*inc-inc), 1);
                x = min(x, size(cntArr525, 1));

            plot(corValArrBsingleMov(b, 1)/1000, cntArr525(x, 1), 'o', 'color', [1 1 1]);
        end
    end 
    
    %% ch 2
    
    if cycl == 0
        plot([0:1/length(cntArr525):1-1/length(cntArr525)]*maxTidSec, cntArr525(:, 2) - 2.5, 'color', [0.5 0.5 1], 'linestyle', kurveType); % sec på x axse
    else % cyclisk
        x = [0:1/length(cntArr525):1-1/length(cntArr525)]*maxTidSec;
        plot(x(1:floor(end/2)), cntArr525(1:floor(end/2), 2) - 2.5, 'color', [0.5 0.5 1], 'linestyle', kurveType); % sec på x axse
        hold on;
        plot(x(floor(end/2)+1:end), cntArr525(floor(end/2)+1:end, 2) - 2.5, 'color', [1 0.5 0.5], 'linestyle', kurveType); % sec på x axse
    end
    hold on;
    
    line([0 maxTidSec],[0 0] - 2.5, 'color',[0.6 0.6 0.6], 'LineStyle', ':', 'LineWidth', 0.5);
    
    line([0 maxTidSec],[0.25 0.25] - 2.5, 'color',[0.8 0.4 0.4], 'LineStyle', ':', 'LineWidth', 0.5);
    line([0 maxTidSec],[0.5 0.5] - 2.5, 'color',[0.8 0.4 0.4], 'LineStyle', ':', 'LineWidth', 0.5);
    line([0 maxTidSec],[0.75 0.75] - 2.5, 'color',[0.8 0.4 0.4], 'LineStyle', ':', 'LineWidth', 0.5);
    
    line([0 maxTidSec],[-0.25 -0.25] - 2.5, 'color',[0.8 0.4 0.4], 'LineStyle', ':', 'LineWidth', 0.5);
    line([0 maxTidSec],[-0.5 -0.5] - 2.5, 'color',[0.8 0.4 0.4], 'LineStyle', ':', 'LineWidth', 0.5);
    line([0 maxTidSec],[-0.75 -0.75] - 2.5, 'color',[0.8 0.4 0.4], 'LineStyle', ':', 'LineWidth', 0.5);
    
    hold on;
    
    % punkter
    for b = 1 : size(corValArrBsingleMov, 1)
        if ~isnan(corValArrBsingleMov(b, 3))
            
                            x = max(floor(b*inc-inc), 1);
                x = min(x, size(cntArr525, 1));
                
            plot(corValArrBsingleMov(b, 1)/1000, cntArr525(x, 2) - 2.5, 'o', 'color', [1 1 1]);
        end
    end
    
    % DB linjer
    if cycl == 0
        maxB = size(corValArrBsingleMov, 1);
    else
        maxB = size(corValArrBsingleMov, 1)/2;
    end
    for b = 1 : 1 : maxB +1
        if mod(b-1, noBeatsPerBar) == 0
            line([corValArrBsingleMov(b, 1)/1000 corValArrBsingleMov(b, 1)/1000], [-1+0.25 1-0.25], 'LineStyle', '-', 'LineWidth', 0.5, 'color', [0.8 0 0]);
            line([corValArrBsingleMov(b, 1)/1000 corValArrBsingleMov(b, 1)/1000], [-1-2.5+0.25 1-0.25-2.5], 'LineStyle', '-', 'LineWidth', 0.5, 'color',[0.8 0 0]); 
        else
            line([corValArrBsingleMov(b, 1)/1000 corValArrBsingleMov(b, 1)/1000], [-1+0.25 1-0.25], 'LineStyle', ':', 'LineWidth', 0.5, 'color', [0.8 0 0]);
            line([corValArrBsingleMov(b, 1)/1000 corValArrBsingleMov(b, 1)/1000], [-1-2.5+0.25 1-0.25-2.5], 'LineStyle', ':', 'LineWidth', 0.5, 'color',[0.8 0 0]);           
        end
    end
    
    axis off;
    
    if strcmp(kurveType, '--') == 1
       axis(ax); 
    end
    
    
    
    %%
    function readVgrarginInput( )
        while ~isempty(varargin)
            switch varargin{1}
                case 'cyc'
                    cycl = 1; varargin(1:1) = [];
                case '--'
                    kurveType = '--'; varargin(1:1) = [];
                otherwise
                    error(['Unexpected option: ' varargin{1}]);
            end
        end
    end
    
end